Issue 122079

Summary: [Sidebar]Vertical Stacked Status update wrong
Product: Calc Reporter: Li Feng Wang <phoenix.wanglf>
Component: formattingAssignee: Oliver-Rainer Wittmann <orw>
Status: RESOLVED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: arpeggio.cc, awf.aoo, issues, orw
Version: 4.0.0-dev   
Target Milestone: 4.0.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 121420    

Description Li Feng Wang 2013-04-17 09:11:06 UTC
build: r1413470

steps:
1)new a Calc
2)input text to one cell, like B1
3)check "vertical stacked"
4)change to another cell in the same row. like B2,B3, and enter text
5)focus on B2, and look it's "vertical statcked" option.

defect:
Expect result: vertical statcked option is not checked as default.
Actual result: vertical statcked option is checked.
Comment 1 Chris Castaneda 2013-04-17 15:56:01 UTC
Confirmed issue.

"Vertically Stacked" option under the "Alignment" category for the "Properties" sidebar remains checked after selected another cell that has no formatting.

Information:
Ubuntu 12.10
AOO400m1(Build:9700)  -  Rev. 1468300
2013-04-16_04:10:49 - Rev. 1468302
Comment 2 Andre 2013-04-23 13:22:52 UTC
The update seems only to take place when the cell is put into edit mode.  Simple selection is not enough.
Comment 3 Oliver-Rainer Wittmann 2013-05-03 08:00:38 UTC
fix in progress
Comment 4 SVN Robot 2013-05-03 08:53:38 UTC
"orw" committed SVN revision 1478674 into trunk:
122079: activate missing slot invalidation for the cell alignment sidebar panel
Comment 5 Oliver-Rainer Wittmann 2013-05-03 09:02:26 UTC
fixed on trunk for AOO 4.0